#!/usr/local/bin/ruby -Ku
require "xmlscan"
require "mwdom/core"
require "mwdom/builder/xmlscan"
require "mwdom/visitor/xhtmlwriter"

src  = ARGF.read
scan = MWDOM::XMLScanTreeBuilder.new
scan.parse(src)

doc = scan.document
visitor = MWDOM::XHTMLWriter.new(STDOUT)
visitor.visit(doc)
